"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = 'C:/rdkit/build/temp.win-amd64-cpython-38/Release/rdkit_install\\share/RDKit\\Data\\FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x00000183161D7B80>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x00000183161D7C10>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x00000183161D7CA0>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x00000183161D7D30>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x00000183161D7DC0>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x00000183161D7E50>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x00000183161D7EE0>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x00000183161D7F70>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x00000183161DF040>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x00000183161DF0D0>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x00000183161DF160>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x00000183161DF1F0>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x00000183161DF280>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x00000183161DF310>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x00000183161DF3A0>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x00000183161DF430>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x00000183161DF4C0>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x00000183161DF550>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x00000183161DF5E0>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x00000183161DF670>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x00000183161DF700>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x00000183161DF790>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x00000183161DF820>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x00000183161DF8B0>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x00000183161DF9D0>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x00000183161DF940>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x00000183161DFA60>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x00000183161DFAF0>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x00000183161DFB80>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x00000183161DFC10>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x00000183161DFCA0>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x00000183161DFD30>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x00000183161DFDC0>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x00000183161DFE50>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x00000183161DFEE0>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x00000183161DFF70>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x00000183161E2040>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x00000183161E20D0>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x00000183161E2160>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x00000183161E21F0>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x00000183161E2280>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x00000183161E2310>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x00000183161E23A0>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x00000183161E2430>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x00000183161E24C0>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x00000183161E2550>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x00000183161E25E0>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x00000183161E2670>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x00000183161E2700>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x00000183161E2790>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x00000183161E2820>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x00000183161E28B0>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x00000183161E2940>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x00000183161E29D0>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x00000183161E2A60>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x00000183161E2AF0>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x00000183161E2B80>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x00000183161E2C10>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x00000183161E2CA0>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x00000183161E2D30>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x00000183161E2DC0>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x00000183161E2E50>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x00000183161E2EE0>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x00000183161E2F70>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x00000183161E6040>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x00000183161E61F0>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x00000183161E60D0>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x00000183161E6280>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x00000183161E6310>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x00000183161E63A0>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x00000183161E6430>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x00000183161E64C0>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x00000183161E65E0>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x00000183161E6550>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x00000183161E6670>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x00000183161E6700>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x00000183161E6790>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x00000183161E68B0>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x00000183161E6820>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x00000183161E6940>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x00000183161E69D0>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x00000183161E6A60>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x00000183161E6AF0>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x00000183161E6B80>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x00000183161E6C10>)]
name: str = 'fr_HOCCN'
